POUNDCTL(8)

NAME
poundctl - control the pound(8) daemon

SYNOPSIS

poundctl -c /path/to/socket [-L/-l] [-S/-s] [-B/-b] [-N/-n] [-H] [-X]

DESCRIPTION

Poundctl controls various aspects of the operation of the pound(8) program.

OPTIONS
Options available:

-c /path/to/socket
    The path to the (Unix-domain) socket Pound was configured to listen on for control. Your Pound configuration file must contain the directive Control /path/to/socket for poundctl to work.

-L/-l n
    Enable/disable a listener. A disabled listener will stop accepting connection requests.

-S/-s n m
    Enable/disable a service. A disabled service will not be used by Pound to answer requests.

-B/-b n m r
    Enable/disable a back-end. A disabled back-end will not be passed requests to answer. Note however that existing sessions may still cause requests to be sent their way.

-N n m k r
    Add a session to service m in listener n. The session key is k and it points to back-end r.

-n n m k
    Remove a session from service m in listener n. The session key is k.

The parameters n, m and r refer to the number assigned to a particular listener, service and back-end in the listings. A listener number of -1 refers by convention to the global context.

-H  Try to resolve the addresses to symbolic names. Depending on your configuration, this may require an active DNS.

-X  Show the results in XML format.

When called without flags poundctl will print out a listing of the Pound internal state.

AUTHOR
Written by Robert Segall, Apsis GmbH.

REPORTING BUGS
Report bugs to <roseg@apsis.ch>.

COPYRIGHT
Copyright © 2002-2010 Apsis GmbH.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.